### Method

# Aravis Evaluator set_sub_expression

since: 0.6.0

#### Declaration [src]

    void
    arv_evaluator_set_sub_expression (
      ArvEvaluator* evaluator,
      const char* name,
      const char* expression
    )

#### Description [src]

Assign a formula to a sub-expression. If `expression` == `NULL`, the sub-expression previously assigned to `name` will be removed. A sub-expression may not reference another sub-expression.

Available since: 0.6.0

#### Parameters

`name`

  Type: `const char*`

  Sub-expression name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`expression`

  Type: `const char*`

  Sub-pexression formula.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.